Package ghidra.app.util.bin.format.pe.cli.tables

# Class CliAbstractTableRow

java.lang.Object
ghidra.app.util.bin.format.pe.cli.tables.CliAbstractTableRow

All Implemented Interfaces:
  `CliRepresentable`

Direct Known Subclasses:
  `CliTableAssembly.CliAssemblyRow`, `CliTableAssemblyOS.CliAssemblyOSRow`, `CliTableAssemblyProcessor.CliAssemblyProcessorRow`, `CliTableAssemblyRef.CliAssemblyRefRow`, `CliTableAssemblyRefOS.CliAssemblyRefOSRow`, `CliTableAssemblyRefProcessor.CliAssemblyRefProcessorRow`, `CliTableClassLayout.CliClassLayoutRow`, `CliTableConstant.CliConstantRow`, `CliTableCustomAttribute.CliCustomAttributeRow`, `CliTableDeclSecurity.CliDeclSecurityRow`, `CliTableEvent.CliEventRow`, `CliTableEventMap.CliEventMapRow`, `CliTableExportedType.CliExportedTypeRow`, `CliTableField.CliFieldRow`, `CliTableFieldLayout.CliFieldLayoutRow`, `CliTableFieldMarshall.CliFieldMarshallRow`, `CliTableFieldRVA.CliFieldRVARow`, `CliTableFile.CliFileRow`, `CliTableGenericParam.CliGenericParamRow`, `CliTableGenericParamConstraint.CliGenericParamConstraintRow`, `CliTableImplMap.CliImplMapRow`, `CliTableInterfaceImpl.CliInterfaceImplRow`, `CliTableManifestResource.CliManifestResourceRow`, `CliTableMemberRef.CliMemberRefRow`, `CliTableMethodDef.CliMethodDefRow`, `CliTableMethodImpl.CliMethodImplRow`, `CliTableMethodSemantics.CliMethodSemanticsRow`, `CliTableMethodSpec.CliMethodSpecRow`, `CliTableModule.CliModuleRow`, `CliTableModuleRef.CliModuleRefRow`, `CliTableNestedClass.CliNestedClassRow`, `CliTableParam.CliParamRow`, `CliTablePropertyMap.CliPropertyMapRow`, `CliTableStandAloneSig.CliStandAloneSigRow`, `CliTableTypeDef.CliTypeDefRow`, `CliTableTypeRef.CliTypeRefRow`, `CliTableTypeSpec.CliTypeSpecRow`

public abstract class CliAbstractTableRow extends Object implements CliRepresentable
Generic Metadata table row. Subclasses should provided implementations for the actual table rows.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliAbstractTableRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `getRepresentation()`
  `String`
  `getRepresentation(CliStreamMetadata stream)`
  `String`
  `getShortRepresentation()`
  `String`
  `getShortRepresentation(CliStreamMetadata stream)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CliAbstractTableRow

    public CliAbstractTableRow()

- ## Method Details

  - ### getRepresentation

    public abstract String getRepresentation()
    Specified by:
      `getRepresentation` in interface `CliRepresentable`

  - ### getShortRepresentation

    public String getShortRepresentation()
    Specified by:
      `getShortRepresentation` in interface `CliRepresentable`

  - ### getRepresentation

    public String getRepresentation(CliStreamMetadata stream)
    Specified by:
      `getRepresentation` in interface `CliRepresentable`

  - ### getShortRepresentation

    public String getShortRepresentation(CliStreamMetadata stream)
    Specified by:
      `getShortRepresentation` in interface `CliRepresentable`